Update ZK proof
ZK Proofs
Update ZK proof
Update a ZK proof’s details
PATCH
Update ZK proof
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Payments API now live! Read more at API Reference
curl --request PATCH \
--url https://platform.usewarp.net/api/zk-proofs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"proof": {
"id": "<string>",
"name": "<string>",
"project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"circuit_path": "<string>",
"verification_key": "<string>",
"proving_key": "<string>"
}
}Update a ZK proof’s details
curl --request PATCH \
--url https://platform.usewarp.net/api/zk-proofs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"proof": {
"id": "<string>",
"name": "<string>",
"project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"circuit_path": "<string>",
"verification_key": "<string>",
"proving_key": "<string>"
}
}JWT Bearer token authentication
ZK proof ID
ZK proof updated successfully
Show child attributes
Was this page helpful?
